package ctbrec.ui.sites.secretfriends;

import ctbrec.recorder.Recorder;
import ctbrec.sites.secretfriends.SecretFriends;
import ctbrec.ui.tabs.TabProvider;
import ctbrec.ui.tabs.ThumbOverviewTab;
import javafx.scene.Scene;
import javafx.scene.control.Tab;

import java.util.ArrayList;
import java.util.List;

public class SecretFriendsTabProvider implements TabProvider {

    private final SecretFriends site;
    private final Recorder recorder;

//    StripchatFollowedTab followedTab;

    public SecretFriendsTabProvider(SecretFriends site) {
        this.site = site;
        this.recorder = site.getRecorder();
        //followedTab = new StripchatFollowedTab("Followed", site);
    }

    @Override
    public List<Tab> getTabs(Scene scene) {
        List<Tab> tabs = new ArrayList<>();
        tabs.add(createTab("Girls", SecretFriends.BASE_URI + "/users"));
        tabs.add(createTab("New", SecretFriends.BASE_URI + "/newgirls"));
        tabs.add(createTab("Couples", SecretFriends.BASE_URI + "/site/couple"));
        //tabs.add(createTab("Vibrating Toy", SecretFriends.BASE_URI + "/tag/view?slug=vibrating-toy"));
//        tabs.add(createTab("Girls HD", site.getBaseUrl() + "/api/front/models?primaryTag=girls&filterGroupTags=%5B%5B%22autoTagHd%22%5D%5D&parentTag=autoTagHd"));
//        tabs.add(createTab("New Girls", site.getBaseUrl() +"/api/front/models?primaryTag=girls&filterGroupTags=%5B%5B%22autoTagNew%22%5D%5D&parentTag=autoTagNew"));
//        tabs.add(createTab("Couples", MessageFormat.format(urlTemplate, "couples")));
//        tabs.add(createTab("Boys", MessageFormat.format(urlTemplate, "men")));
//        tabs.add(createTab("Trans", MessageFormat.format(urlTemplate, "trans")));
//        followedTab.setRecorder(recorder);
//        followedTab.setScene(scene);
//        followedTab.setImageAspectRatio(9.0 / 16.0);
//        tabs.add(followedTab);
        return tabs;
    }

    @Override
    public Tab getFollowedTab() {
//        return followedTab;
        return null;
    }

    private Tab createTab(String title, String url) {
        var updateService = new SecretFriendsUpdateService(url, false, site);
        var tab = new ThumbOverviewTab(title, updateService, site);
        tab.setRecorder(recorder);
        return tab;
    }

}
